/*
 * This is a simple skin for the demo page, like we would do for
 * a custom project.
 *
 *
 * Intro version
 */

 .intro {
    margin-top: 0;
  }
  
  .intro-panel {
    position: sticky;
    bottom: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    justify-content: center;
    text-align: center;
    --hf: var(--serif);
    --ht: none;
    --hs: 3rem;
    opacity: 0;
    transition: opacity .5s ease;
  }
  
  .intro-panel > * {
    margin: 0 auto;
    color: white;
    text-shadow: 2px 2px #222;
  }
  
  .intro.show-title .intro-panel {
    opacity: 1;
  }
  
  /*
   * Horizontal version
   */
  
  .horizontal {
    height: 600vh;
  }
  
  .horizontal p {
    position: fixed;
    top: 0;
    right: 0;
    background-color: #00000080;
    font: bold 20px var(--sans);
    color: white;
    margin: 0;
    padding: var(--page-padding);
    max-width: var(--story-width);
    opacity: 0;
    transition: all .75s ease;
    pointer-events: none;
  }
  
  .horizontal p.onscreen {
    opacity: 1;
  }
  
  /*
   * Vertical version
   */

  
  /* original */
  /* .vertical p {
    background-color: #00000080;
    font: bold 20px var(--sans);
    color: white;
    padding: var(--page-padding);
    max-width: var(--story-width);
  } */

  /* .vertical {
    display: grid;
    align-items: start;
    justify-items: center;
    height: 800vh;
  } */

  /* edited styles */
  .vertical {
    display: grid;
    align-items: start;
    justify-items: center;
    height: 2000vh;
  }

  .vertical p {
    background-color: #333232;
    /* border:2px solid white; */
    padding: var(--page-padding);
    max-width: 550px;
    font: bold 16px var(--sans);
    font-family: Noto Sans; 
    color: white;
    line-height: 1.5;
    transform: translateZ(0);
  }
  @media only screen and (max-width: 1000px) {
    .vertical p {
      max-width: var(--story-width);
      margin-left: 10px;
      margin-right: 10px;
    }
  }

  .vertical p a {
    color: #ff9324;
  }
  



  
  /*
   * Code samples
   */
  
  pre {
    overflow-x: auto;
    background: #EEE;
    tab-width: 4;
    font-size: 16px;
    padding: var(--page-padding);
  }



